## com.saxonica.codegen
Class LoopAction

    java.lang.Object
      com.saxonica.codegen.LoopAction

    public abstract class LoopAction

extends Object

Callback interface to generate code to insert within a compiled loop

Constructor Summary
`LoopAction()`

Method Summary
`abstract void` `compileAction(CompilerService compiler, String itemVar)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoopAction

    public LoopAction()

Method Detail

### compileAction

    public abstract void compileAction(CompilerService compiler,
                                       String itemVar)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.